VERSION 5.00
Object = "{F4375239-2DAA-489A-9DCE-662FC9185BD6}#1.53#0"; "BarcodeWiz.dll"
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3930
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   7485
   LinkTopic       =   "Form1"
   ScaleHeight     =   3930
   ScaleWidth      =   7485
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton cmdPrintRange 
      Caption         =   "Print One Page"
      Height          =   375
      Left            =   5040
      TabIndex        =   4
      Top             =   840
      Width           =   2175
   End
   Begin VB.CommandButton cmdSaveAs 
      Caption         =   "Save To File"
      Height          =   375
      Left            =   5040
      TabIndex        =   3
      Top             =   2040
      Width           =   2175
   End
   Begin VB.CommandButton cmdCopyToClip 
      Caption         =   "Copy To Clipboard"
      Height          =   375
      Left            =   5040
      TabIndex        =   2
      Top             =   1560
      Width           =   2175
   End
   Begin VB.CommandButton cmdPrint 
      Caption         =   "Print"
      Height          =   375
      Left            =   5040
      TabIndex        =   1
      Top             =   360
      Width           =   2175
   End
   Begin BARCODEWIZLibCtl.BarCodeWiz BarCodeWiz1 
      Height          =   1965
      Left            =   360
      TabIndex        =   0
      Top             =   480
      Width           =   2295
      _cx             =   4060
      _cy             =   3460
      AutoSize        =   -1  'True
      BackColor       =   16777215
      BackStyle       =   1
      Barcode         =   "1000"
      BarcodeHeight   =   1500
      BeginProperty BarcodeTextFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      BarcodeTextPosition=   6
      BearerBars      =   0   'False
      Border          =   1
      BottomText      =   "K-17/L2"
      BeginProperty BottomTextFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      BottomTextAlignment=   1
      Enabled         =   -1  'True
      ForeColor       =   0
      NarrowBarWidth  =   35
      OptionalCheckChar=   0
      Orientation     =   0
      QuietZone       =   3
      StretchBarcodeText=   -1  'True
      Symbology       =   0
      TopText         =   "BarCode Wiz"
      TopTextAlignment=   2
      BeginProperty TopTextFont {0BE35203-8F91-11CE-9DE3-00AA004BB851} 
         Name            =   "Arial"
         Size            =   14.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      WideToNarrowRatio=   0
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
    Option Explicit


Private Sub cmdCopyToClip_Click()
    BarCodeWiz1.CopyToClipboard
    MsgBox "Done!"
End Sub

Private Sub cmdPrint_Click()
    'Use the Picture property to paint the picture.
    Printer.PaintPicture BarCodeWiz1.Picture, 0, 0
    
    'Send the document to the printer.
    Printer.EndDoc
End Sub

Private Sub cmdPrintRange_Click()
    Printer.ScaleMode = 1 ' twips, 1440 twips = 1 inch
   
    Dim pageWidthTwips As Single, pageHeightTwips As Single
    pageWidthTwips = Printer.ScaleWidth
    pageHeightTwips = Printer.ScaleHeight

    
    Dim barcodeWidth As Long, barcodeHeight As Long
    barcodeWidth = BarCodeWiz1.Width
    barcodeHeight = BarCodeWiz1.Height
    
    Dim currentX As Long, currentY As Long
    
    Dim rows As Integer, cols As Integer
    rows = 6
    cols = 4
    
    
    Dim i As Integer, j As Integer
    Dim topmargin As Long, leftmargin As Long
    topmargin = 0
    leftmargin = 0
    
    Dim toppos As Long, leftpos As Long
    toppos = 0
    leftpos = 0
    
    For i = 0 To (rows - 1)
        toppos = topmargin + i * barcodeHeight
        toppos = toppos + barcodeHeight / 2
        For j = 0 To (cols - 1)
            leftpos = leftmargin + j * barcodeWidth
            leftpos = leftpos + barcodeWidth / 2
            BarCodeWiz1.Barcode = 1000 + i * j
           Printer.PaintPicture BarCodeWiz1.Picture, leftpos, toppos
        Next
    Next
    
    Printer.EndDoc

End Sub

Private Sub cmdSaveAs_Click()
    Dim location As String
    location = InputBox("Enter File Name and Location", "Save As...", "C:\barcodewiz.emf")
    
    BarCodeWiz1.SaveAs location
End Sub
